%define upstream_name    Tree-RB
%define upstream_version 0.500005

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Tree::RB guts
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Tree/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(enum)
BuildArch: noarch

%description
This is a Perl implementation of the Red/Black tree, a type of balanced
binary search tree.

A tied hash interface is also provided to allow ordered hashes to be used.

See the Wikipedia article at the
http://en.wikipedia.org/wiki/Red-black_tree manpage for further information
about Red/Black trees.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.500.5-4pclos2017
- rebuild against updates

